<mat-sidenav-container
  [ngStyle]="{
    'background-image': 'url(' + (backgroundSrc$ | async) + ')'
  }"
>
  <mat-sidenav [mode]="(isHandset$ | async) ? 'over' : 'side'" #sidenav>
    <app-sidenav></app-sidenav>
  </mat-sidenav>

  <mat-sidenav-content>
    <app-toolbar> </app-toolbar>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
